Click to listen

Payments security upgrade

Published Monday, 15 January 2018

Due to the recent breaches affecting other organisations we will be tightening the security on our payments system.

This means that from February 15 your payments will not be processed if you are using an out-of-date browser. The following versions of web browsers are considered safe:

  • Internet Explorer – version 11 or above
  • Chrome – version 30 or above
  • Firefox – version 27 or above
  • Opera – version 17 or above
  • Safari – version 10 or above
  • Microsoft Edge – version 12 or above

If you are using a version below any of these we suggest that you update your browser as you will not be able to make a payment otherwise.

South Lanarkshire Council News feed